#coding: utf-8

def readH():
    with open("h264/aaa2.264", 'rb') as f2:
        con = f2.read(2048)
        data = con.hex()
        data2 = data.split("00000001")
        for i in data2:
            print("00000001" + i)
        print(data2)
        with open("h264/tmp.bin", 'wb') as f3:
            f3.write(con)

if __name__ == "__main__":
    readH()